﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MS.Internal.Xml.XPath;

namespace WindowsFormsApplication1
{
    class Trains
    {
        static List<Train> list = new List<Train>();

        public List<Train> List
        {
            get { return list; }
        }

        public static void AddTrains(List<Train> trains)
        {
            var v = trains.Where(fun => list.SingleOrDefault(m => m.Id == fun.Id) == null);

            if (v.Any())
            {
                list.AddRange(v);

                if (TrainsChanged != null)
                {
                    TrainsChanged(v, list);
                }
            }
        }

        public static event EventHandler<List<Train>> TrainsChanged;
    }

    public class Train
    {
        public string Id;
        public string StartStation;
        public string EndStation;
        public string StartTime;
        public string EndTime;
        public string TrainValue;

        public virtual string ToString()
        {
            return string.Format("{0} {1}({3})->{2}({4})", TrainValue, StartStation, EndStation, StartTime, EndTime);
        }
    }
}
